/* common style */
html {
    font-size: 100px;
}
* {
    box-sizing: border-box;
}
body {
    font-family: 'Microsoft YaHei';
    font-size: .16rem;
    color: #666;
}
body a {
    text-decoration: none;
    color: #333;
}
body ul {
    list-style: none;
    padding-left: 0;
}
h1, h2, h3, h4, h5 {
    color: #222;
    letter-spacing: 1px;
}
p {
    margin: 0;
    line-height: .22rem;
}
h2 {
    font-size: .24rem;
}
h3 {
    font-size: .20rem;
}
h4 {
    font-size: .18rem;
}
h5 {
    font-size: .16rem;
}


/* 外边距 */
.mt-1 {
    margin-top: .12rem !important;
}
.mt-2 {
    margin-top: .24rem !important;
}
.mt-3 {
    margin-top: .36rem !important;
}
.mt-4 {
    margin-top: .48rem !important;
}
.mt-5 {
    margin-top: .62rem !important;
}
.mb-1 {
    margin-bottom: .12rem !important;
}
.mb-2 {
    margin-bottom: .24rem !important;
}
.mb-3 {
    margin-bottom: .36rem !important;
}
.mb-4 {
    margin-bottom: .48rem !important;
}
.mb-5 {
    margin-bottom: .62rem !important;
}
.ml-1 {
    margin-left: .12rem !important;
}
.ml-2 {
    margin-left: .24rem !important;
}
.ml-3 {
    margin-left: .36rem !important;
}
.ml-4 {
    margin-left: .48rem !important;
}
.ml-5 {
    margin-left: .62rem !important;
}
.mr-1 {
    margin-right: .12rem !important;
}
.mr-2 {
    margin-right: .24rem !important;
}
.mr-3 {
    margin-right: .36rem !important;
}
.mr-4 {
    margin-right: .48rem !important;
}
.mr-5 {
    margin-right: .62rem !important;
}
.p-1 {
    padding: .12rem !important;
}
.p-2 {
    padding: .24rem !important;
}
.p-3 {
    padding: .36rem !important;
}
.p-4 {
    padding: .48rem !important;
}
.p-5 {
    padding: .62rem !important;
}

/* 文本修饰 */
.text-center {
    text-align: center !important;
}
.text-left {
    text-align: left !important;
}
.text-right {
    text-align: right !important;
}

/* 布局容器样式 */
.container, .tutorship-main-wrap {
    position: relative;
    width: 100%;
    max-width: 1170px;
    margin: 0 auto;
}
.flex {
    position: relative;
    display: -webkit-flex;
    display: -moz-flex;
    display: -ms-flex;
    display: flex;
}
.flex-wrap {
    flex-wrap: wrap;
}
.flex-column {
    flex-direction: column;
}
.justify-between {
    justify-content: space-between;
}
.justify-center {
    justify-content: center;
}
.justify-start {
    justify-content: start;
}
.justify-end {
    justify-content: end;
}
.align-start {
    align-items: start;
}
.align-center {
    align-items: center;
}
.flex-grow-1 {
    flex: 1;
}
.flex-grow-2 {
    flex: 2;
}
.flex-grow-3 {
    flex: 3;
}
.row {
    width: 100%;
    margin: 0;
}

.swiper {
    position: relative;
    overflow: hidden;
}

/* 公共标题 */
.title {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    width: 100%;
    text-align: center;
}
.title h2 {
    color: #999;
    font-size: .32rem;
    margin: 0 0 .12rem 0;
}
.title h3 {
    position: relative;
    font-size: .25rem;
    margin: 0;
}
.title h3::before, .title h3::after {
    position: absolute;
    top: 50%;
    transform: translate(0, -50%);
    content: '';
    display: inline-block;
    width: .08rem;
    height: .08rem;
    border-radius: 50%;
    background-color: #a4b0be;
}
.title h3::before {
    left: -.2rem;
}
.title h3::after {
    right: -.2rem;
}
.title h3 span {
    color: #1e90ff;
}

/* 按钮 */
.btn-call {
    display: inline-block;
    padding: .1rem .32rem;
    background-color: #5352ed;
    color: #fff;
    border-radius: .24rem;
    transition: .3s;
}
.btn-call:hover {
    transform: translate(0, -.04rem);
    box-shadow: 0 .04rem .12rem 0 #70a1ff;
}


/* 阴影 */
.shadow {
    box-shadow: 0 1px 5px 0 rgba(0, 0, 0, .15);
}
.shadow-lg {
    box-shadow: 0 4px 12px 0 rgba(0, 0, 0, .25);
}

/* width */
.w-25 {
    width: 25% !important;
}
.w-50 {
    width: 50% !important;
}
.w-75 {
    width: 75% !important;
}
.w-100 {
    width: 100% !important;
}


/* header */
.nav-toggle-btn {
    display: none;
}
header {
    /*position: fixed;*/
    /*top: 0;*/
    /*left: 0;*/
    /*z-index: 998;*/
    display: flex;
    justify-content: space-between;
    align-items: center;
    width: 100%;
    height: 1rem;
    padding: 0 .4rem;
    background-color: rgba(255, 255, 255, .4);
    box-shadow: 0 .01rem .04rem 0 rgba(0, 0, 0, .15);
}
header .logo img {
    width: 2rem;
}

header .tel {
    position: relative;
    top: -.06rem;
    color: #1e90ff;
    font-size: .2rem;
}
header .tel i {
    position: relative;
    top: .03rem;
    font-size: .32rem;
    margin-right: .04rem;
}

header nav ul {
    display: flex;
    justify-content: start;
    align-items: center;
}
header nav ul > li {
    position: relative;
}
header nav ul .nav-btn .iconfont {
    display: none;
}
header nav a {
    position: relative;
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 0 .12rem;
    height: 1rem;
    margin: 0 .04rem;
    font-size: .16rem;
    font-weight: bold;
    transition: .3s ease-in-out;
    overflow: hidden;
}
header nav a::before {
    content: '';
    display: block;
    position: absolute;
    left: 0;
    top: 0;
    width: 0;
    height: .01rem;
    background-color: #1e90ff;
    transition: .3s ease-in-out;
}
header nav a::after {
    font-family: "iconfont" !important;
    content: "\e68d";
    position: absolute;
    left: 50%;
    top: -.04rem;
    transform: translate3d(-50%, 0, 0) scale(0);
    color: #1e90ff;
    font-size: .12rem;
    transition: .3s ease-in-out;
    transition-delay: .2s;
}
header nav .nav-active a {
    color: #1e90ff;
}
header nav .nav-active a::before {
    width: 100%;
}
header nav .nav-active a::after {
    transform: translate3d(-50%, 0, 0) scale(1);
}

/* 二级导航 */
header nav li .sub-nav {
    display: none;
    width: 96%;
    position: absolute;
    left: 50%;
    top: 100%;
    z-index: 998;
    transform: translate(-50%, 0);
    flex-direction: column;
    padding: .12rem .04rem;
    background-color: #fff;
    border-bottom-left-radius: .1rem;
    border-bottom-right-radius: .1rem;
    border-top: .01rem solid #1e90ff;
    box-shadow: 0 .02rem .04rem 0 rgba(0, 0, 0, .15);
}
.sub-nav a::before, .sub-nav a::after {
    content: unset;
}
header nav li .sub-nav li {
    width: 100%;
}
header nav li .sub-nav li a {
    width: 100%;
    height: auto;
    padding: .08rem 0;
    margin: 0;
    font-weight: normal;
    color: #545454;
    text-align: center;
}
header nav li .sub-nav li a:hover {
    color: #1e90ff;
}


/* 页脚 */
footer {
    padding: .62rem .4rem;
    background-color: #2f3542;
    color: #fff;
}
footer .line {
    position: relative;
    width: 100%;
    height: .01rem;
    background-color: #fff;
    border-radius: .02rem;
}
footer .line::after {
    content: '';
    position: absolute;
    left: 50%;
    top: -.01rem;
    transform: translate(-50%, 0);
    width: 1rem;
    height: .03rem;
    background-color: #70a1ff;
}
.hot-course h3 {
    margin-bottom: .24rem;
    color: #fff;
}
.hot-course a {
    display: inline-block;
    color: #fff;
    margin-right: .12rem;
    margin-bottom: .12rem;
}
.hot-course a:hover {
    text-decoration: underline;
}
.qr-code {
    width: 1.2rem;
    height: 1.2rem;
    margin: 0 .12rem;
    border-radius: .12rem;
    overflow: hidden;
}
.qr-code img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}
.copyright {
    font-size: .14rem;
}


/* 悬浮框 */
.aside-fixed {
    position: fixed;
    right: 0;
    bottom: 120px;
    z-index: 900;
    width: .6rem;
    padding: .04rem .04rem;
    background-color: #70a1ff;
}
.aside-item {
    position: relative;
    width: 100%;
    height: .5rem;
    padding-top: .12rem;
    padding-bottom: .12rem;
    color: #fff;
    font-size: .12rem;
    cursor: pointer;
}
.aside-item:hover .qrcode {
    display: block;
}
.aside-item .qrcode {
    display: none;
    position: absolute;
    left: -.72rem;
    top: 0;
    width: 1.2rem;
    height: 1.2rem;
    overflow: hidden;
}
.aside-item .qr-code img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}
.aside-item .iconfont {
    font-size: .32rem;
}
.aside-item:not(.aside-item:last-child) {
    margin-bottom: .2rem;
}



/* swiper */
.custom-swiper .swiper-button-next::after,
.custom-swiper .swiper-button-prev::after {
    content: unset;
}
.custom-swiper .swiper-button-next,
.custom-swiper .swiper-button-prev {
    width: .4rem;
    height: .4rem;
    border-radius: 50%;
    border: .02rem solid #545454;
    background: #fff;
    opacity: .5;
    transition: .3s;
}
.custom-swiper .swiper-button-next:hover,
.custom-swiper .swiper-button-prev:hover {
    opacity: 1;
}
.custom-swiper .swiper-button-next img,
.custom-swiper .swiper-button-prev img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}
body .custom-swiper .swiper-pagination {
    bottom: 0;
}




/* 课业辅导公共布局 */
.tutorship-main-wrap {
    width: 100%;
    max-width: 1170px;
    position: relative;
    margin-bottom: .6rem !important;
}
.tutorship-main-wrap .main {
    flex: 1;
    max-width: 816px;
    margin-right: 30px;
}
.tutorship-main-wrap aside {
    width: 100%;
    max-width: 324px;
}
.tutorship-main-wrap hr {
    border: none;
    height: 1px;
    background-color: #e9e9f8;
    margin: .2rem 0;
}

.tutorship-qa h4 {
    margin: 0 0 .12rem 0;
    padding: .16rem .12rem;
    border-radius: 0 .12rem;
    background-color: #fff;
    text-overflow: ellipsis;
    white-space: nowrap;
    overflow: hidden;
    font-weight: normal;
    line-height: 30px;
    cursor: pointer;
}
.tutorship-qa h4 .q {
    display: block;
    width: 30px;
    height: 30px;
    text-align: center;
    font-size: 14px;
    background-color: #5352ed;
    border-radius: 0 .06rem;
    color: #fff;
    float: left;
    margin-right: .12rem;
}
.tutorship-content::before {
    content: '答';
    display: inline-block;
    width: 30px;
    height: 30px;
    text-align: center;
    line-height: 30px;
    font-size: 14px;
    background-color: #e3a143;
    border-radius: 0 .06rem;
    color: #fff;
    float: left;
    margin-right: .12rem;
}
.tutorship-content {
    display: none;
    line-height: .3rem;
    padding-bottom: .2rem;
    border-bottom: 1px solid #70a1ff;
}


/* aside */
.aside-title, .main-title {
    padding: .2rem .12rem;
    margin-bottom: .16rem;
}
.aside-title h3, .main-title h3 {
    margin: 0;
    color: #5352ed;
}
.aside-panel, .aside-title, .main-title {
    background-color: #fff;
    box-shadow: 0 1px 5px 0 rgba(0, 0, 0, .15);
    border-radius: 0 .14rem;
    padding: .12rem;
}
.aside-panel ul {
    padding: 0 .12rem;
    margin: 0;
}
.aside-panel ul li {
    display: flex;
    justify-content: start;
    align-items: center;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
}
.aside-panel ul li:not(.aside-panel ul li:last-child) {
    border-bottom: .01rem dashed #999;
}
.aside-panel ul li .news-id {
    width: .2rem;
    line-height: .2rem;
    text-align: center;
    color: #545454;
    background-color: #dfe4ea;
    font-size: 12px;
}
.aside-panel ul li:nth-child(1) .news-id,
.aside-panel ul li:nth-child(2) .news-id,
.aside-panel ul li:nth-child(3) .news-id {
    color: #fff;
    background-color: #70a1ff;
}
.aside-panel ul li a {
    height: 45px;
    line-height: 45px;
    display: inline-block;
    flex: 1;
    white-space: nowrap;
    text-overflow: ellipsis;
    overflow: hidden;
    margin-left: .1rem;
}
.aside-panel ul li a:hover {
    color: #1e90ff;
}
.aside-panel .aside-tag {
    display: block;
    padding: .06rem;
    border: 1px solid #ccc;
    border-radius: .04rem;
    margin-right: 8px;
    margin-bottom: 8px;
}
.aside-panel .aside-tag:hover {
    background-color: #1e90ff;
    border-color: #1e90ff;
    color: #fff;
}


/* pic modal */
.pic-modal-wrapper {
    position: fixed;
    left: 0;
    top: 0;
    width: 100vw;
    height: 100vh;
    background-color: rgba(0, 0, 0, .5);
    z-index: 99998;
    display: flex;
    justify-content: center;
    align-items: center;
}
@keyframes zoomIn {
    from {
        opacity: 0;
        transform: scale(0);
    }
    to {
        opacity: 1;
        transform: scale(1);
    }
}
.pic-modal {
    width: 60vw;
    height: 80vh;
    animation: zoomIn .4s ease-in-out;
}
.pic-modal img {
    width: 100% !important;
    height: 100% !important;
    object-fit: contain;
    border-radius: 5px;
}
.pic-modal .pic-modal-close {
    display: flex;
    justify-content: center;
    align-items: center;
    background-color: #fff;
    border-radius: 50%;
    width: 60px;
    height: 60px;
    color: #000;
    font-size: 42px;
    position: absolute;
    right: 70px;
    top: 40px;
    z-index: 99999;
    cursor: pointer;
}



.tutorship-card {
    background-color: #fff;
    box-shadow: 0 1px 5px 0 rgba(0, 0, 0, .15);
}
.tutorship-card .tutorship-card-icon {
    width: 80px;
    margin-right: .12rem;
}
.tutorship-card .tutorship-card-icon img {
    width: 100%;
}
.tutorship-card h4 {
    margin-top: 0;
    margin-bottom: .16rem;
}



.special-card .p-3 {
    padding-top: 0 !important;
    padding-bottom: .24rem !important;
}
.special-card .card {
    padding: .1rem;
    border-radius: .08rem;
    background-color: #fff;
    border: 1px solid rgba(0, 0, 0, .05);
    position: relative;
    box-shadow: 0 2px 6px 0 rgba(0, 0, 0, 0.05);
}
.special-card .card:hover .card-num {
    padding: 0;
}
.special-card .card-num {
    display: flex;
    justify-content: center;
    align-items: center;
    width: .7rem;
    height: .7rem;
    padding: 6px;
    background-color: #fefefe;
    border-radius: 50%;
    position: absolute;
    left: -35px;
    top: 50%;
    transform: translate(0, -50%);
    box-shadow: -1px 0 0 0 rgba(0, 0, 0, 0.2) inset;
    transition: 0.2s ease-in-out;
}
.special-card .card-num span {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 100%;
    height: 100%;
    background-color: #F67C79;
    border-radius: 50%;
    font-weight: bold;
    font-family: "Comic Sans MS";
    font-size: 24px;
    color: #fff;
    box-shadow: 0 2px 6px 0 rgba(0, 0, 0, 0.15);
}
.special-card .card-body {
    padding-left: 56px;
}
.special-card .card-body h5 {
    color: #152c5b;
}
.special-card .card-body p {
    margin-bottom: 0;
}





@media screen and ( max-width: 1400px ) {

    header nav a {
        font-weight: normal;
        margin: 0 .02rem;
        padding: 0 .08rem;
        font-size: .15rem;
    }
    header .tel {
        top: 0;
        font-size: .15rem;
    }
    header .tel i {
        top: 0;
        font-size: .2rem;
    }

}


@media screen and ( max-width: 1170px ) {
    .container {
        padding: 0 .2rem;
    }

    header {
        padding: 0 .2rem;
    }
    header nav a {
        font-size: .14rem;
    }
    header .tel {
        display: none;
    }
}



@media screen and ( max-width: 1000px ) {

    header .nav-toggle-btn {
        display: flex;
        flex-direction: column;
        justify-content: space-between;
        align-items: center;
        width: .4rem;
        height: .28rem;
    }
    .nav-toggle-btn span {
        display: block;
        width: 100%;
        height: .03rem;
        border-radius: .01rem;
        background-color: #545454;
    }

    header {
        height: .8rem;
    }
    header .logo {
        margin: 0;
    }
    header nav {
        position: fixed;
        left: 0;
        top: 0;
        z-index: 999;
        display: flex;
        justify-content: start;
        width: 0;
        height: 100vh;
        overflow: hidden;
        transition: .3s ease-in-out;
    }
    header nav.active {
        width: 100vw;
    }
    header nav.active ul {
        opacity: 1;
    }
    header nav.active .close-func-area {
        display: block;
    }
    header nav .close-func-area {
        display: none;
        flex: 1;
        height: 100vh;
        background-color: rgba(0, 0, 0, .7);
    }
    header nav ul {
        flex-direction: column;
        align-items: start;
        margin: 0;
        width: 90%;
        height: 100%;
        max-width: 320px;
        background-color: #545454;
        overflow-y: auto;
        opacity: 0;
        transition: .3s ease-in-out;
    }
    header nav ul li {
        width: 100%;
    }
    header nav ul .nav-btn .iconfont {
        display: block;
    }
    header nav a {
        position: relative;
        justify-content: space-between;
        width: 100%;
        text-align: left;
        height: .8rem;
        font-size: .24rem;
        color: #fff;
        padding-left: .3rem;
        padding-right: .3rem;
        border-bottom: .01rem solid #222;
    }
    header nav a::before, header nav a::after {
        content: unset;
    }
    header nav .nav-active a {
        color: #fff;
    }
    header nav li .sub-nav {
        width: 100%;
        height: auto;
        position: relative;
        top: 0;
        left: 0;
        transform: unset;
        margin-right: 0;
        border-top: none;
        border-radius: 0;
        background-color: #545454;
        padding: 0;
        box-shadow: unset;
    }
    header nav li .sub-nav li a {
        padding-left: .5rem;
        color: rgba(255, 255, 255, .8);
        font-size: .2rem;
        height: .8rem;
    }
    header nav li a .iconfont {
        display: inline-block;
        transition: .3s;
    }
    header nav .nav-active a .iconfont {
        transform: rotate(90deg);
    }



    .copyright {
        flex-direction: column;
        justify-content: start;
        align-items: start;
    }
    .copyright p {
        line-height: .3rem;
        margin-bottom: .2rem;
    }


    .tutorship-main-wrap .main {
        margin-right: 0;
        padding: 0 .12rem;
    }
    .tutorship-main-wrap .row {
        flex-direction: column;
    }

    .tutorship-main-wrap aside {
        width: 100%;
        max-width: 100%;
        padding: 0 .12rem;
        margin-top: .3rem;
    }


    .pic-modal .pic-modal-close {
        width: 40px;
        height: 40px;
        font-size: 26px;
        position: unset;
        margin-bottom: 12px;
    }
    .pic-modal {
        display: flex;
        flex-direction: column-reverse;
        align-items: end;
        width: 80vw;
    }

}


@media screen and ( max-width: 750px ) {
    p {
        line-height: .32rem;
    }
    h2 {
        font-size: .32rem;
    }
    h3 {
        font-size: .26rem;
    }
    h4 {
        font-size: .2rem;
    }
    h5 {
        font-size: .16rem;
    }


    footer {
        padding: .62rem 0;
    }


    .aside-fixed {
        display: none;
    }



    .pic-modal {
        width: 94vw;
    }

    .special-card .p-3.w-50 {
        width: 100% !important;
        padding-right: 0 !important;
    }
    .special-card .card-num {
        width: 50px;
        height: 50px;
        padding: 4px;
    }
    .special-card .card-num span {
        font-size: 16px;
    }

}
